import React from 'react';
export default function ResultCtaButton(props) {
    const { item, callback, className } = props;
    const clickHandler = (e) => {
        e.preventDefault();
        if (callback && typeof callback === 'function') {
            e.stopPropagation();
            callback(item);
        }
    };
    return (React.createElement("button", { type: 'button', className: `cio-result-card-cta-button ${className || ''}`, onClick: clickHandler }, "Add to Cart"));
}
